Bug 484293 - Review Request: perl-Time-Progress - Elapsed and estimated finish time reporting
Review Request: perl-Time-Progress - Elapsed and estimated finish time reporting
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 483772
  Show dependency treegraph
 
Reported: 2009-02-05 16:49 EST by Ian Burrell
Modified: 2009-02-09 01:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 01:07:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2009-02-05 16:49:58 EST
Spec URL: http://znark.com/fedora/perl-Time-Progress.spec
SRPM URL: http://znark.com/fedora/perl-Time-Progress-1.4-1.fc10.src.rpm
Description: Perl module to report progress. Reports elapsed and estimated finish time.  Displays progress bar.

This is needed by an update to SVK (#483772).
Comment 1 manuel wolfshant 2009-02-05 19:30:00 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [!] Rpmlint output:
source RPM:
perl-Time-Progress.noarch: W: invalid-license CHECK
perl-Time-Progress.noarch: W: invalid-license Distributable
binary RPM:
perl-Time-Progress.noarch: W: invalid-license CHECK
perl-Time-Progress.noarch: W: invalid-license Distributable
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type according to spec: CHECK(Distributable)
     License type according to source: same as perl
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: f613a6607b17f1332b92eb5a02f5fc02cfd96dba Time-Progress-1.4.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [?] Package should compile and build into binary rpms on all supported architectures.
     Not tested , but it's a standard perl module and should work anywhere
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check passes

===Issues===
The license tag is invalid. Please fix it.
It would also be a good idea to  mail the upstream author and ask him to include the license in the perl module itself, not only in the bundled README.
Comment 3 manuel wolfshant 2009-02-06 22:37:46 EST
APPROVED
Comment 4 Ian Burrell 2009-02-08 15:19:03 EST
New Package CVS Request
=======================
Package Name: perl-Time-Progress
Short Description: Elapsed and estimated finish time reporting
Owners: iburrell
Branches: F-9 F-10 EL-5
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-02-08 17:13:08 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.